Bug 948823 - Need a search solution for docs.fedoraproject.org [NEEDINFO]
Summary: Need a search solution for docs.fedoraproject.org
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: project-tracking
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Docs QA
URL:
Whiteboard:
: 996844 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 13:12 UTC by Eric Christensen
Modified: 2019-11-07 15:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 15:37:47 UTC
sparks: needinfo? (zach)


Attachments (Terms of Use)

Description Eric Christensen 2013-04-05 13:12:24 UTC
Description of problem: Due to the removal of Google search feature (see bug 616876) we no longer have a search solution for docs.fp.o.

We need to investigate an alternate solution and bring the search feature back.

Comment 1 Jaromir Hradilek 2013-08-24 23:56:40 UTC
*** Bug 996844 has been marked as a duplicate of this bug. ***

Comment 2 Samuel Flint 2013-08-25 01:46:50 UTC
Have you considered penetrator? Is a simple perl module and allows a DBI backend.

Comment 3 Samuel Flint 2013-08-25 22:15:30 UTC
Sorry to be further annouying, what about the HyperEstraier? http://fallabs.com/hyperestraier/

Comment 4 Jeff Fearn 🐞 2014-10-21 23:10:10 UTC
Hi, IMO what Fedora needs is a search service that covers all the websites, then for docs you just configure web_search to use that search service.

Comment 5 Jeff Fearn 🐞 2014-10-21 23:13:59 UTC
ahh https://fedorahosted.org/fedora-infrastructure/ticket/1055

Comment 6 Eric Christensen 2016-06-07 22:07:43 UTC
Zach, is this worth keeping open with the new platform coming?

Comment 7 Tummala Dhanvi (c0mrad3) 2016-06-10 12:18:08 UTC
(In reply to Eric Christensen from comment #6)
> Zach, is this worth keeping open with the new platform coming?

I think the mallard (new platform) supports elastic search


Note You need to log in before you can comment on or make changes to this bug.